<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/dynamic_white">


    <!--评论布局-->
    <RelativeLayout
        android:id="@+id/item_trend_discuss_rel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_below="@+id/item_trend_rel"
        android:layout_marginBottom="15dp"
        android:visibility="gone"
        tools:visibility="visible">

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/dynamic_title_bottom_line_bg" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/item_trend_discuss_rcv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:layout_marginTop="15dp" />

        <TextView
            android:id="@+id/item_trend_discuss_num_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/item_trend_discuss_rcv"
            android:layout_marginLeft="15dp"
            android:layout_marginTop="10dp"
            android:text="查看8条评论"
            android:textColor="@color/platform_main_theme"
            android:visibility="gone" />

    </RelativeLayout>


    <View
        android:layout_width="match_parent"
        android:layout_height="10dp"
        android:layout_below="@+id/item_trend_discuss_rel"
        android:background="#f3f3f3" />

    <!--内容-->
    <RelativeLayout
        android:id="@+id/item_trend_rel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_marginTop="18dp">

        <include layout="@layout/dynamic_include_user_info_part" />

        <TextView
            android:id="@+id/item_trend_title_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/item_trend_user_rel"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:layout_marginTop="15dp"
            android:text="标题"
            android:textColor="@color/dynamic_text_trend_title_black"
            android:textSize="18sp" />

        <TextView
            android:id="@+id/item_trend_content_tv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/item_trend_title_tv"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:layout_marginTop="15dp"
            android:lineSpacingExtra="3dp"
            android:text="外交部回应“朝鲜正准备第六次核试验”】有报道称，朝鲜正在准备进行第六次核试验，预计此次核试规模将比上一次增加十几倍。对此，外交部回应表示：中方反对朝鲜核试的立场是明确和一贯的。当前半岛形势高度复杂敏感，任何可能加剧半岛局势紧张的举动都是不可取的。希望相关各方都保持冷静克制，负起自己的责任，不要采取进一步相互刺激和加剧局势紧张的行动。"
            android:textColor="@color/dynamic_text_trend_black"
            android:textSize="16sp"
            android:visibility="gone"
            tools:visibility="visible" />

        <!-- 图片布局 -->
        <RelativeLayout
            android:id="@+id/item_trend_img_rel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/item_trend_content_tv"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="13dp"
            android:layout_marginTop="15dp"
            android:visibility="gone"
            tools:visibility="visible">


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/item_trend_img_rcv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <TextView
                android:id="@+id/item_trend_img_num_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_alignParentTop="true"
                android:layout_marginRight="5dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/dynamic_radian_bg"
                android:paddingBottom="10dp"
                android:paddingLeft="20dp"
                android:paddingRight="20dp"
                android:paddingTop="10dp"
                android:text="共9张"
                android:textColor="@color/dynamic_white"
                android:textSize="15sp"
                android:visibility="gone" />
        </RelativeLayout>

        <!-- Url布局-->

        <RelativeLayout
            android:id="@+id/item_trend_ad_rel"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_below="@+id/item_trend_img_rel"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:layout_marginTop="15dp"
            android:background="@drawable/dynamic_trend_ad_bg"
            android:visibility="gone">

            <ImageView
                android:id="@+id/item_trend_ad_iv"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_centerVertical="true"
                android:scaleType="centerCrop"
                android:src="@drawable/dynamic_default_img" />

            <ImageView
                android:id="@+id/iv_fm"
                android:layout_width="@dimen/platform_dp_22"
                android:layout_height="@dimen/platform_dp_22"
                android:layout_centerVertical="true"
                android:layout_marginLeft="9dp"
                android:src="@drawable/dynamic_img_trend_fm_play"
                android:visibility="gone"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/item_trend_ad_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="14dp"
                android:layout_marginRight="15dp"
                android:layout_toRightOf="@+id/item_trend_ad_iv"
                android:ellipsize="end"
                android:maxLines="2"
                android:text="外交部回应“朝鲜正准备第六次核试验”】有报道称，朝鲜正在准备进行第六次核试验，预计"
                android:textColor="@color/dynamic_text_666666"
                android:textSize="12sp" />

        </RelativeLayout>

        <TextView
            android:id="@+id/text_trend"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_below="@+id/item_trend_ad_rel"
            android:layout_marginLeft="15dp"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:maxLines="1"
            android:textColor="@color/platform_main_theme"
            android:textSize="14sp"
            tools:text="#表白话题#" />

        <!--点赞评论-->
        <RelativeLayout
            android:id="@+id/item_trend_zan_rel"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_below="@+id/text_trend"
            android:layout_marginBottom="10dp"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp">

            <TextView
                android:id="@+id/item_trend_readed_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="阅读2345"
                android:textColor="@color/dynamic_text_trend_defult" />

            <ImageView
                android:id="@+id/item_trend_discuss_iv"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_centerVertical="true"
                android:layout_toLeftOf="@+id/text_talk_num"
                android:src="@drawable/dynamic_newsfeed_reply" />

            <TextView
                android:id="@+id/text_talk_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginLeft="5dp"
                android:drawablePadding="5dp"
                android:gravity="center_vertical"
                android:minWidth="30dp"
                android:text="评论"
                android:textColor="@color/dynamic_text_trend_defult" />

            <ImageView
                android:id="@+id/item_trend_zan_iv"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_centerVertical="true"
                android:layout_toLeftOf="@+id/text_zan_num"
                android:src="@drawable/dynamic_newsfeed_like" />

            <TextView
                android:id="@+id/text_zan_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="10dp"
                android:layout_toLeftOf="@+id/item_trend_discuss_iv"
                android:drawablePadding="5dp"
                android:gravity="center_vertical"
                android:minWidth="30dp"
                android:text="温暖"
                android:textColor="@color/dynamic_text_trend_defult" />

        </RelativeLayout>


    </RelativeLayout>


</RelativeLayout>
